Favicon

You are here: Home > API Reference > AOSP > Android Non Gms Devices > Disenroll non-GMS Android device

DELETE /organizations/:organizationId/mdm/aosp/enterprise/devices/:aosDeviceId

Required Permission: mdm.aosp.device.remove

Creates a DISENROLL command; marks device as pending disenroll only when command push is queued successfully. Calling this again for a pending disenroll device reuses an active pending DISENROLL command or retries when the previous command has expired. Optional query: wipeDataFlags, wipeReasonMessage

DELETE
/v1/organizations/:organizationId/mdm/aosp/enterprise/devices/:aosDeviceId
Copy to clipboard

Disenroll non-GMS Android device

Required Permission: mdm.aosp.device.remove

Creates a DISENROLL command; marks device as pending disenroll only when command push is queued successfully. Calling this again for a pending disenroll device reuses an active pending DISENROLL command or retries when the previous command has expired. Optional query: wipeDataFlags, wipeReasonMessage

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
aosDeviceId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean required
data object required
status boolean required
{
    "status": true,
    "data": {
        "status": true
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5173
message string optional
No pushNotification token configured
{
    "status": false,
    "error": {
        "code": 5209,
        "message": "Invalid input"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}